net.minecraft.command

## Interface ICommand

- All Superinterfaces:
    java.lang.Comparable
  All Known Implementing Classes:
    CommandAchievement, CommandBanIp, CommandBanPlayer, CommandBase, CommandBroadcast, CommandClearInventory, CommandDebug, CommandDefaultGameMode, CommandDeOp, CommandDifficulty, CommandEffect, CommandEmote, CommandEnchant, CommandGameMode, CommandGameRule, CommandGive, CommandHelp, CommandKill, CommandListBans, CommandListPlayers, CommandMessage, CommandMessageRaw, CommandOp, CommandPardonIp, CommandPardonPlayer, CommandPlaySound, CommandPublishLocalServer, CommandSaveAll, CommandSaveOff, CommandSaveOn, CommandScoreboard, CommandServerKick, CommandSetBlock, CommandSetDefaultSpawnpoint, CommandSetPlayerTimeout, CommandSetSpawnpoint, CommandShowSeed, CommandSpreadPlayers, CommandStop, CommandSummon, CommandTeleport, CommandTestFor, CommandTestForBlock, CommandTime, CommandToggleDownfall, CommandWeather, CommandWhitelist, CommandXP, ForgeCommand

      public interface ICommand
      extends java.lang.Comparable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `addTabCompletionOptions(ICommandSender var1, java.lang.String[] var2)`
    `boolean` | `canCommandSenderUseCommand(ICommandSender var1)`
    `java.util.List` | `getCommandAliases()`
    `java.lang.String` | `getCommandName()`
    `java.lang.String` | `getCommandUsage(ICommandSender var1)`
    `boolean` | `isUsernameIndex(java.lang.String[] var1, int var2)`
    `void` | `processCommand(ICommandSender var1, java.lang.String[] var2)`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getCommandName

          java.lang.String getCommandName()

    - #### getCommandUsage

          java.lang.String getCommandUsage(ICommandSender var1)

    - #### getCommandAliases

          java.util.List getCommandAliases()

    - #### processCommand

          void processCommand(ICommandSender var1,
                            java.lang.String[] var2)

    - #### canCommandSenderUseCommand

          boolean canCommandSenderUseCommand(ICommandSender var1)

    - #### addTabCompletionOptions

          java.util.List addTabCompletionOptions(ICommandSender var1,
                                               java.lang.String[] var2)

    - #### isUsernameIndex

          boolean isUsernameIndex(java.lang.String[] var1,
                                int var2)